Subject: checks 2555 - 2557
From: "Patty and Mike Finan" <[email-masked]>
To: "Katy Parcells" <[email-masked]>
Date: Mon, 8 Dec 2008 10:09:00 -0500

Hi there,

I wrote out check 2555 for $10 to the Friends of the Thumb Octagon Barn for yearly dues.

I wrote out check 2556 for $25 to the Port Austin Area Historical Society (PAAHS) for yearly dues.

I wrote out check 2557 for $110 for the rest of our advertising costs to the Greater Port Austin Area Chamber of Commerce. 

Just a reminder - I'll need the wedding flyers by the first of January for the bridal shows.
Thanks,
Patty Finan
Huron City Museums
7995 Pioneer Drive
Port Austin MI 48467
989 738-6007  cell 989 670-8196
www.HuronCityMuseums.org